#include <bits/stdc++.h>
using namespace std;

int main(){

    string s;
    long long x=0,y=0;
    cin>>s;
    for(long long i=0;i<s.size();i++){
        if(s[i]=='U'){
            x--;
        }
        if(s[i]=='D'){
            x++;
        }
        if(s[i]=='L'){
            y--;
        }
        if(s[i]=='R'){
            y++;
        }
    }
    if(x>0){
        for(long long i=0;i<x;i++){
            cout<<"U";
        }
    }
    if(x<0){
        for(long long i=0;i>x;i--){
            cout<<"D";
        }
    }
    if(y>0){
        for(long long i=0;i<y;i++){
            cout<<"L";
        }
    }
    if(y<0){
        for(long long i=0;i>y;i--){
            cout<<"R";
        }
    }
    if(x==0 && y==0){
        cout<<"0";
    }

    return 0;
}
